Package sudoku.structure

# Class Block

java.lang.Object
sudoku.structure.Block

public class Block extends Object
Class qui représente les Block de chaque Sudoku, Un Block étant un ensemble de cellule avec une contrainte de block qui lui ait associé.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Block()`
  Crée un Block avec une liste de Cell vide.
  `Block(List<Cell> cells)`
  Crée un Block avec une liste de Cell donnée.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addCell(Cell newCell)`
  Ajoute une Cell au Block
  `boolean`
  `containsSymbol(int symbolIndex)`
  Cherche si le Block contient déjà un symbole donné.
  `List<Cell>`
  `getCells()`
  `List<Sudoku>`
  `getSudokus()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Block

    public Block(List<Cell> cells)
    Crée un Block avec une liste de Cell donnée.
    Parameters:
      `cells` - List~Cell~

  - ### Block

    public Block()
    Crée un Block avec une liste de Cell vide.

- ## Method Details

  - ### getCells

    public List<Cell> getCells()

  - ### getSudokus

    public List<Sudoku> getSudokus()

  - ### addCell

    public void addCell(Cell newCell)
    Ajoute une Cell au Block
    Parameters:
      `newCell` - Cell, à ajouter

  - ### containsSymbol

    public boolean containsSymbol(int symbolIndex)
    Cherche si le Block contient déjà un symbole donné.
    Parameters:
      `symbolIndex` - int, un index de symbole
    Returns:
      boolean, true s'il contient le symbole et false sinon